org.flexdock.docking.activation

## Class ActiveDockableTracker

- java.lang.Object
- - org.flexdock.docking.activation.ActiveDockableTracker

-     public class ActiveDockableTracker
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CURRENT_DOCKABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveDockableTracker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
    `boolean` | `containsPropertyChangeListener(java.beans.PropertyChangeListener listener)`
    `static Dockable` | `getActiveDockable()`
    `static Dockable` | `getActiveDockable(java.awt.Component window)`
    `static ActiveDockableTracker` | `getCurrentTracker()`
    `java.beans.PropertyChangeListener[]` | `getPropertyChangeListeners()`
    `static ActiveDockableTracker` | `getTracker(java.awt.Component component)`
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
    `static void` | `requestDockableActivation(java.awt.Component c)`
    `static void` | `requestDockableActivation(java.awt.Component c, boolean forceChange)`
    `static void` | `requestDockableActivation(java.awt.Component c, Dockable dockable, boolean forceChange)`
    `void` | `setActive(boolean b)`
    `void` | `setActive(Dockable dockable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENT_DOCKABLE

          public static final java.lang.String CURRENT_DOCKABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveDockableTracker

          public ActiveDockableTracker()

  - ### Method Detail

    - #### getTracker

          public static ActiveDockableTracker getTracker(java.awt.Component component)

    - #### getCurrentTracker

          public static ActiveDockableTracker getCurrentTracker()

    - #### getActiveDockable

          public static Dockable getActiveDockable()

    - #### getActiveDockable

          public static Dockable getActiveDockable(java.awt.Component window)

    - #### requestDockableActivation

          public static void requestDockableActivation(java.awt.Component c)

    - #### requestDockableActivation

          public static void requestDockableActivation(java.awt.Component c,
                                       boolean forceChange)

    - #### requestDockableActivation

          public static void requestDockableActivation(java.awt.Component c,
                                       Dockable dockable,
                                       boolean forceChange)

    - #### setActive

          public void setActive(boolean b)

    - #### setActive

          public void setActive(Dockable dockable)

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

    - #### getPropertyChangeListeners

          public java.beans.PropertyChangeListener[] getPropertyChangeListeners()

    - #### containsPropertyChangeListener

          public boolean containsPropertyChangeListener(java.beans.PropertyChangeListener listener)